Correct usage. Please see documentation/Kconfig.pdf for the writeup.
Signed-off-by: Ronald G. Minnich <rminnich@gmail.com>

Index: src/northbridge/via/cx700/Makefile.inc
===================================================================
--- src/northbridge/via/cx700/Makefile.inc	(revision 4549)
+++ src/northbridge/via/cx700/Makefile.inc	(working copy)
@@ -15,11 +15,11 @@
 ## along with this program; if not, write to the Free Software
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 
-obj-$(CONFIG_NORTHBRIDGE_VIA_CX700) += cx700_reset.o
-obj-$(CONFIG_NORTHBRIDGE_VIA_CX700) += northbridge.o
-obj-$(CONFIG_NORTHBRIDGE_VIA_CX700) += vgabios.o
+obj-y += cx700_reset.o
+obj-y += northbridge.o
+obj-y += vgabios.o
 
-driver-$(CONFIG_NORTHBRIDGE_VIA_CX700) += cx700_agp.o
-driver-$(CONFIG_NORTHBRIDGE_VIA_CX700) += cx700_lpc.o
-driver-$(CONFIG_NORTHBRIDGE_VIA_CX700) += cx700_sata.o
-driver-$(CONFIG_NORTHBRIDGE_VIA_CX700) += cx700_vga.o
+driver-y += cx700_agp.o
+driver-y += cx700_lpc.o
+driver-y += cx700_sata.o
+driver-y += cx700_vga.o
Index: src/northbridge/via/Makefile.inc
===================================================================
--- src/northbridge/via/Makefile.inc	(revision 4549)
+++ src/northbridge/via/Makefile.inc	(working copy)
@@ -1,6 +1,6 @@
 #subdirs-y += vt8601
 #subdirs-y += vt8623
 #subdirs-y += cn700
-subdirs-y += cx700
+subdirs-$(CONFIG_NORTHBRIDGE_VIA_CX700) += cx700
 #subdirs-y += vx800
 
